Bug 268396 - No code completion comes up after hitting dot while using multicursor
No code completion comes up after hitting dot while using multicursor
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Completion & Templates
8.2
PC Other
: P2 (vote)
: Dev
Assigned To: Dusan Balek
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-07 08:06 UTC by ChrisLE
Modified: 2017-05-06 02:10 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
MultiCursor CodeCompletion Problem with dot (78.27 KB, image/gif)
2016-10-07 08:06 UTC, ChrisLE
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ChrisLE 2016-10-07 08:06:03 UTC
Created attachment 162386 [details]
MultiCursor CodeCompletion Problem with dot

As you can see in my screen capture, I want to hit "." after document, while I select all occurencies with the new multi cursor feature. When I hit dot nothing happens. When I only set one cursor after document and hit . everything is fine. It happens in JS files and Java, so I think this is a common problem with the multi cursor feature. And in my opinion this is a very big problem.


Regards

Chris
Comment 1 Dusan Balek 2017-05-05 08:18:50 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/1cc37289e239
Comment 2 Quality Engineering 2017-05-06 02:10:48 UTC
Integrated into 'main-silver', will be available in build *201705060001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/1cc37289e239
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #268396 - No code completion comes up after hitting dot while using multicursor - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo